package com.palmnest.webapp.quartz;

import com.palmnest.service.user.ModuleUserCountService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Author hxt
 * @Description 保存微信端服务模块用户活跃量
 * @Date 2019/1/15 12:07
 **/
@Slf4j
@Component("moduleUserCountTask")
public class ModuleUserCountTask {


	@Autowired
	private ModuleUserCountService moduleUserCountService;

	public void run() {
		log.info("quartz into moduleUserCountTask ...");
		moduleUserCountService.saveModuleUserToLocal();
		log.info("quartz into moduleUserCountTask end ...");
	}
}
